# Az - File Share Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

Post eksploatacija deljenja fajlova

Za više informacija o deljenju fajlova pogledajte:

{{#ref}}
../az-services/az-file-shares.md
{{#endref}}

### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/read`

Principal sa ovom dozvolom će moći da **prikazuje** fajlove unutar deljenja fajlova i **preuzima** fajlove koji mogu sadržati **osetljive informacije**.
```bash
# List files inside an azure file share
az storage file list \
--account-name <name> \
--share-name <share-name> \
--auth-mode login --enable-file-backup-request-intent

# Download an specific file
az storage file download \
--account-name <name> \
--share-name <share-name> \
--path <filename-to-download> \
--dest /path/to/down \
--auth-mode login --enable-file-backup-request-intent
```
### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/write`, `Microsoft.Storage/storageAccounts/fileServices/writeFileBackupSemantics/action`

Principal sa ovom dozvolom će moći da **piše i prepisuje datoteke u deljenim datotekama**, što bi moglo omogućiti da izazove neku štetu ili čak eskalira privilegije (npr. prepisuje neki kod smešten u deljenoj datoteci):
```bash
az storage blob upload \
--account-name <acc-name> \
--container-name <container-name> \
--file /tmp/up.txt --auth-mode login --overwrite
```
### \*/delete

Ovo bi omogućilo brisanje datoteka unutar deljenog fajl sistema što bi moglo **prekinuti neke usluge** ili učiniti da klijent **izgubi dragocene informacije**.

{{#include ../../../banners/hacktricks-training.md}}
